Bug 856809 - [abrt] autokey-0.81.4-1.fc17: interface.py:29:<module>:ImportError: No module named Xlib
[abrt] autokey-0.81.4-1.fc17: interface.py:29:<module>:ImportError: No module...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: autokey (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Raghu Udiyar
Fedora Extras Quality Assurance
abrt_hash:5cecd3f1b2679807a4fff1e0719...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 16:22 EDT by reposer
Modified: 2013-08-01 05:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:17:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (7.08 KB, text/plain)
2012-09-12 16:22 EDT, reposer
no flags Details
File: core_backtrace (514 bytes, text/plain)
2012-09-12 16:22 EDT, reposer
no flags Details

  None (edit)
Description reposer 2012-09-12 16:22:41 EDT
Description of problem:
[fth@crazy-horse-fc Documents]$ yum info autokey
Loaded plugins: langpacks, presto, refresh-packagekit
Installed Packages
Name        : autokey
Arch        : noarch
Version     : 0.81.4
Release     : 1.fc17
Size        : 1.3 M
Repo        : installed
From repo   : fedora
Summary     : Desktop automation utility
URL         : http://autokey.googlecode.com
License     : GPLv3
Description : AutoKey is a desktop automation utility for Linux and X11. It
            : allows the automation of virtually any task by responding to typed
            : abbreviations and hot keys. It offers a full-featured GUI that
            : makes it highly accessible for novices, as well as a scripting
            : interface offering the full flexibility and power of the Python
            : language.

[fth@crazy-horse-fc Documents]$ 
[fth@crazy-horse-fc Documents]$ autokey-gtk
Traceback (most recent call last):
  File "/usr/bin/autokey-gtk", line 20, in <module>
    from autokey.gtkapp import Application
  File "/usr/lib/python2.7/site-packages/autokey/gtkapp.py", line 24, in <module>
    import service, monitor
  File "/usr/lib/python2.7/site-packages/autokey/service.py", line 20, in <module>
    from iomediator import Key, IoMediator
  File "/usr/lib/python2.7/site-packages/autokey/iomediator.py", line 106, in <module>
    from interface import *
  File "/usr/lib/python2.7/site-packages/autokey/interface.py", line 29, in <module>
    from Xlib import X, XK, display, error
ImportError: No module named Xlib
[fth@crazy-horse-fc Documents]$ 
[root@crazy-horse-fc ~]# yum install autokey
Loaded plugins: langpacks, presto, refresh-packagekit
Package autokey-0.81.4-1.fc17.noarch already installed and latest version
Nothing to do
[root@crazy-horse-fc ~]# 


Version-Release number of selected component:
autokey-0.81.4-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
kernel:         3.5.3-1.fc17.x86_64

cmdline:
:/usr/bin/python /bin/autokey-gtk
:
Comment 1 reposer 2012-09-12 16:22:44 EDT
Created attachment 612265 [details]
File: backtrace
Comment 2 reposer 2012-09-12 16:22:46 EDT
Created attachment 612266 [details]
File: core_backtrace
Comment 3 reposer 2012-09-26 15:17:26 EDT
I just started autokey

yum update is ok.


-------------------------------------------------------------------

[fth@crazy-horse-fc Documents]$ autokey-gtk 
Traceback (most recent call last):
  File "/usr/bin/autokey-gtk", line 20, in <module>
    from autokey.gtkapp import Application
  File "/usr/lib/python2.7/site-packages/autokey/gtkapp.py", line 24, in <module>
    import service, monitor
  File "/usr/lib/python2.7/site-packages/autokey/service.py", line 20, in <module>
    from iomediator import Key, IoMediator
  File "/usr/lib/python2.7/site-packages/autokey/iomediator.py", line 106, in <module>
    from interface import *
  File "/usr/lib/python2.7/site-packages/autokey/interface.py", line 29, in <module>
    from Xlib import X, XK, display, error
ImportError: No module named Xlib
[fth@crazy-horse-fc Documents]$ 

[root@crazy-horse-fc ~]# yum install autokey
Loaded plugins: langpacks, presto, refresh-packagekit
Package autokey-0.81.4-1.fc17.noarch already installed and latest version
Nothing to do
[root@crazy-horse-fc ~]# yum info  autokey
Loaded plugins: langpacks, presto, refresh-packagekit
Installed Packages
Name        : autokey
Arch        : noarch
Version     : 0.81.4
Release     : 1.fc17
Size        : 1.3 M
Repo        : installed
From repo   : fedora
Summary     : Desktop automation utility
URL         : http://autokey.googlecode.com
License     : GPLv3
Description : AutoKey is a desktop automation utility for Linux and X11. It
            : allows the automation of virtually any task by responding to typed
            : abbreviations and hot keys. It offers a full-featured GUI that
            : makes it highly accessible for novices, as well as a scripting
            : interface offering the full flexibility and power of the Python
            : language.

[root@crazy-horse-fc ~]# 


Package: autokey-0.81.4-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 wbiker 2013-02-11 01:00:33 EST
I ran also in this problem, but a 
yum install python-xlib
solved it.

Obviously, the dependency is not resolved by yum.
Comment 5 Sid Hymes 2013-05-12 15:32:20 EDT
Description of problem:
occurs repeatedly on start-up

Version-Release number of selected component:
autokey-0.81.4-1.fc17

Additional info:
cmdline:        /usr/bin/python /usr/bin/autokey-gtk
executable:     /usr/bin/autokey-gtk
kernel:         3.8.11-100.fc17.x86_64
uid:            1000
ureports_counter: 1
Comment 6 Fedora End Of Life 2013-07-03 22:45:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 05:17:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.